Pterodactyldocs
Client server schedules

List schedules

Lists all schedules added to the server

GET/api/client/servers/{server}/schedules

Authorization

ClientToken
AuthorizationBearer <token>

Client API key (generated at /account/api)

In: header

Path Parameters

server*string

Server identifier (short 8-character ID)

Response Body

application/json

curl -X GET "https://example.com/api/client/servers/1a7ce997/schedules"
{  "object": "list",  "data": [    {      "object": "server_schedule",      "attributes": {        "id": 1,        "name": "Daily Reboot",        "cron": {          "day_of_week": "*",          "day_of_month": "*",          "hour": "0",          "minute": "0"        },        "is_active": true,        "is_processing": false,        "last_run_at": null,        "next_run_at": "2020-06-13T00:00:00+01:00",        "created_at": "2020-06-12T23:50:14+01:00",        "updated_at": "2020-06-12T23:53:07+01:00",        "relationships": {          "tasks": {            "object": "list",            "data": [              {                "object": "schedule_task",                "attributes": {                  "id": 1,                  "sequence_id": 1,                  "action": "command",                  "payload": "say Rebooting...",                  "time_offset": 0,                  "is_queued": false,                  "created_at": "2020-06-12T23:50:46+01:00",                  "updated_at": "2020-06-12T23:52:54+01:00"                }              },              {                "object": "schedule_task",                "attributes": {                  "id": 2,                  "sequence_id": 2,                  "action": "power",                  "payload": "restart",                  "time_offset": 5,                  "is_queued": false,                  "created_at": "2020-06-12T23:53:07+01:00",                  "updated_at": "2020-06-12T23:53:07+01:00"                }              }            ]          }        }      }    }  ]}